# source https://github.com/qTox/qTox/archive/v1.13.0.tar.gz
%define gitver 531defd0aa66af1b128f7293bc08718ce2cc064f

Name:           qtox
Version:        1.13.0
Release:        %mkrel 2
Summary:        Powerful Tox client written in C++/Qt that follows the Tox design guidelines

License:        GPLv3
Group:		Networking/Instant messaging
URL:            https://qtox.github.io/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}exif12-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}openal-devel
BuildRequires:	%{_lib}sqlcipher-devel
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5help-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5opengl-devel
BuildRequires:	%{_lib}qt5sql-devel
BuildRequires:	%{_lib}qt5svg-devel
BuildRequires:	%{_lib}qt5test-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires:	%{_lib}xscrnsaver-devel
BuildRequires:	%{_lib}sodium-devel
BuildRequires:	libpthread-stubs
BuildRequires:	qrencode-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qttools5
BuildRequires:	toxcore-devel

%description
%{summary}.

%prep
%setup -qn qTox-%{version}

%build
%cmake -DGIT_VERSION=%{gitver} -DGIT_DESCRIBE=%{version}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot} -C build

desktop-file-edit \
  --set-key=Categories \
  --set-value="Network;InstantMessaging;X-MandrivaLinux-Internet-InstantMessaging;" \
  %{buildroot}%{_desktopdir}/%{name}.desktop

%files
%doc CHANGELOG.md CONTRIBUTING.md LICENSE MAINTAINING.md README.md
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/appdata
%{_iconsdir}/hicolor/*/apps/%{name}.*

%changelog
* Sat Jan 06 2018 marcin82 <m82 at op.pl> 1.13.0-2pclos2017
- rebuilt with new toxcore

* Wed Nov 29 2017 marcin82 <m82 at op.pl> 1.13.0-1pclos2017
- update
- removed werror and desktop file patches

* Thu Nov 16 2017 bb2 <bb2> - 1.12.1-2pclos2017
- rebuild against updates (new sodium)
- apply werror patch to make it build

* Wed Oct 11 2017 marcin82 <marcin82 at vp.pl> - 1.12.1-1pclos2017
- update

* Fri Jul 21 2017 marcin82 <marcin82 at vp.pl> - 1.11.0-1pclos2017
- update, removed patch1

* Thu Jun 15 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-3pclos2017
- rebuild with toxcore-0.1.9

* Sun Jun 11 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-2pclos2017
- added Patch1 instead of sed workaround in %%build section

* Sat Jun 10 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-1pclos2017
- update

* Sun Jun 04 2017 marcin82 <marcin82 at vp.pl> - 1.10.1-1pclos2017
- update
- removed QT_AUTO_SCREEN_SCALE_FACTOR=0 variable from desktop file
  as unnecessary

* Mon May 09 2017 marcin82 <marcin82 at vp.pl> - 1.10.0-1pclos2017
- update

* Mon Mar 27 2017 marcin82 <marcin82 at vp.pl> - 1.9.0-1pclos2017
- update

* Fri Mar 10 2017 bb2 <bb2> - 1.8.1-2pclos2017
- rebuild new ffmpeg

* Tue Feb 27 2017 marcin82 <marcin82 at vp.pl> 1.8.1-1pclos2017
- update
- added QT_AUTO_SCREEN_SCALE_FACTOR=0 variable definition
  in *.desktop file due to bug/scaling error:
  https://github.com/qTox/qTox/issues/4176

* Thu Dec 30 2016 marcin82 <marcin82 at vp.pl> 1.7.0-1pclos2017
- update

* Wed Dec 15 2016 marcin82 <marcin82 at vp.pl> 1.6.0-1pclos2017
- Initial build for PCLinuxOS
